Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.gui
Class EditorsTabbedPane

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--ru.biosoft.gui.ViewPartSupport
                                    |
                                    +--ru.biosoft.gui.EditorPartSupport
                                          |
                                          +--ru.biosoft.gui.EditorsTabbedPane

Direct Known Subclasses:
  ExplorerPane, PluggedEditorsTabbedPane

public class EditorsTabbedPane
extends EditorPartSupport

Utility class to group several editor into one tabbed pane with common toolbar.

pending optimisaton: reuse actions in update tab if they the same

Inner classes inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Inner classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Inner classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent`

Field Summary
`final static String` | `ACTION_NAME`
`static int` | `TOOLBAR_BUTTON_SIZE`

Fields inherited from class javax.swing.JComponent
`WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY`

Fields inherited from class java.awt.Component
`TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT`

Constructor Summary
`EditorsTabbedPane()`

Method Summary
`void` | `addTransactionListener(TransactionListener tl)`
`void` | `addViewPart(ViewPart view)`
`void` | `explore(Object model, Document document)`
`Action[]` | `getActions()`
`ViewPart` | `getEditorsManager()`
`Object` | `getModel()`
`ActionsProvider` | `getModelActionProvider()`
`void` | `removeTransactionListener(TransactionListener tl)`
`void` | `save()`
`void` | `selectTab(int i)`
`void` | `setModelActionProvider(ActionsProvider provider)`

Methods inherited from class ru.biosoft.gui.ViewPartSupport
`addEdit, canExplore, completeTransaction, getAction, getDocument, getModelValidator, getView, setModelValidator, startTransaction`

Methods inherited from class javax.swing.JPanel
`updateUI, getUIClassID, getAccessibleContext`

Methods inherited from class javax.swing.JComponent
`update, paint, printAll, print, isPaintingTile, isFocusCycleRoot, isManagingFocus, setNextFocusableComponent, getNextFocusableComponent, setRequestFocusEnabled, isRequestFocusEnabled, requestFocus, grabFocus, setVerifyInputWhenFocusTarget, getVerifyInputWhenFocusTarget, setPreferredSize, getPreferredSize, setMaximumSize, getMaximumSize, setMinimumSize, getMinimumSize, isMinimumSizeSet, isPreferredSizeSet, isMaximumSizeSet, contains, setBorder, getBorder, getInsets, getInsets, getAlignmentY, setAlignmentY, getAlignmentX, setAlignmentX, setInputVerifier, getInputVerifier, getGraphics, setDebugGraphicsOptions, getDebugGraphicsOptions, registerKeyboardAction, registerKeyboardAction, unregisterKeyboardAction, getRegisteredKeyStrokes, getConditionForKeyStroke, getActionForKeyStroke, resetKeyboardActions, setInputMap, getInputMap, getInputMap, setActionMap, getActionMap, requestDefaultFocus, setVisible, hide, setEnabled, setForeground, setBackground, setFont, isFocusTraversable, setToolTipText, getToolTipText, getToolTipText, getToolTipLocation, createToolTip, scrollRectToVisible, setAutoscrolls, getAutoscrolls, enable, disable, getClientProperty, putClientProperty, isLightweightComponent, reshape, getBounds, getSize, getLocation, getX, getY, getWidth, getHeight, hasFocus, isOpaque, setOpaque, computeVisibleRect, getVisibleRect, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener, addVetoableChangeListener, removeVetoableChangeListener, getTopLevelAncestor, addAncestorListener, removeAncestorListener, getListeners, addNotify, removeNotify, repaint, repaint, revalidate, isValidateRoot, isOptimizedDrawingEnabled, paintImmediately, paintImmediately, setDoubleBuffered, isDoubleBuffered, getRootPane`

Methods inherited from class java.awt.Container
`getComponentCount, countComponents, getComponent, getComponents, insets, add, add, add, add, add, remove, remove, removeAll, getLayout, setLayout, doLayout, layout, invalidate, validate, preferredSize, minimumSize, paintComponents, printComponents, addContainerListener, removeContainerListener, deliverEvent, getComponentAt, locate, getComponentAt, findComponentAt, findComponentAt, isAncestorOf, list, list`

Methods inherited from class java.awt.Component
`getName, setName, getParent, getPeer, setDropTarget, getDropTarget, getGraphicsConfiguration, getTreeLock, getToolkit, isValid, isDisplayable, isVisible, isShowing, isEnabled, enable, enableInputMethods, show, show, getForeground, getBackground, getFont, getLocale, setLocale, getColorModel, getLocation, getLocationOnScreen, location, setLocation, move, setLocation, getSize, size, setSize, resize, setSize, resize, getBounds, bounds, setBounds, setBounds, isLightweight, getFontMetrics, setCursor, getCursor, paintAll, repaint, repaint, repaint, imageUpdate, createImage, createImage, prepareImage, prepareImage, checkImage, checkImage, inside, contains, dispatchEvent, postEvent, addComponentListener, removeComponentListener, addFocusListener, removeFocusListener, addHierarchyListener, removeHierarchyListener, addHierarchyBoundsListener, removeHierarchyBoundsListener, addKeyListener, removeKeyListener, addMouseListener, removeMouseListener, addMouseMotionListener, removeMouseMotionListener, addInputMethodListener, removeInputMethodListener, getInputMethodRequests, getInputContext, handleEvent, mouseDown, mouseDrag, mouseUp, mouseMove, mouseEnter, mouseExit, keyDown, keyUp, action, gotFocus, lostFocus, transferFocus, nextFocus, add, remove, toString, list, list, list, setComponentOrientation, getComponentOrientation`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTION_NAME

    public final static String ACTION_NAME

### TOOLBAR_BUTTON_SIZE

    public static int TOOLBAR_BUTTON_SIZE

Constructor Detail

### EditorsTabbedPane

    public EditorsTabbedPane()

Method Detail

### addTransactionListener

    public void addTransactionListener(TransactionListener tl)

### addViewPart

    public void addViewPart(ViewPart view)

### explore

    public void explore(Object model, Document document)

### getActions

    public Action[] getActions()

### getEditorsManager

    public ViewPart getEditorsManager()

### getModel

    public Object getModel()

### getModelActionProvider

    public ActionsProvider getModelActionProvider()

### removeTransactionListener

    public void removeTransactionListener(TransactionListener tl)

### save

    public void save()

### selectTab

    public void selectTab(int i)

### setModelActionProvider

    public void setModelActionProvider(ActionsProvider provider)

Association Links

to Class java.lang.String

to Class javax.swing.JToolBar

to Class javax.swing.JTabbedPane

to Class ru.biosoft.gui.EditorsManager

to Class java.util.Vector

to Class javax.swing.Action

to Class javax.swing.Action

to Class ru.biosoft.access.repository.ActionsProvider

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM